POST
/v1/mgmt/outbound/app/tenant/oauthtoken/upload

Authorization

Descope Project ID and Management Key
AuthorizationBearer <token>

Project ID:Management Key as bearer token.

In: header

Request Body

application/json

appId?string
tenantId?string
refreshToken?string
accessToken?string
accessTokenExpiry?integer
Formatint32
accessTokenType?string
scopes?array<string>
string
externalIdentifier?string
idToken?string
verifyRefresh?boolean
grantedBy?string

Upload a tenant OAuth token for an outbound application

Import a pre-existing tenant-scoped OAuth token into an outbound application without requiring the user to re-run the OAuth flow. Requires a management key.

curl -X POST "https://api.descope.com/v1/mgmt/outbound/app/tenant/oauthtoken/upload" \  -H "Content-Type: application/json" \  -d '{}'
{}
export interface Response {}
Was this helpful?